import numpy as np
import matplotlib.pyplot as plt

g=-9.81

DT=np.arange(1e-3, 1, 1e-3) #vremenski korak

V=np.zeros_like(DT)
T=np.zeros_like(DT)

br=-1
for dt in DT:
    br+=1
    h = 1000
    v = 0
    t = 0

    while h>0:
        h=h+v*dt
        v=v+g*dt
        t+=dt

    V[br]=v
    T[br]=t


# PLOTOVANJE

plt.figure()
plt.plot(DT,V)
plt.xlabel('vremenski korak [s]')
plt.ylabel('brzina udara [m/s]')
plt.title('Zavisnost brzine od vremenskog koraka')
plt.show()

plt.figure()
plt.plot(DT,T)
plt.xlabel('vremenski korak [s]')
plt.ylabel('vreme padanja [m/s]')
plt.title('Zavisnost vremena padanja od vremenskog koraka')
plt.show()