import numpy as np
import matplotlib.pyplot as plt

from mpl_toolkits.mplot3d import Axes3D
from matplotlib import cm

v=np.arange(50,101)
alfa=np.deg2rad(np.arange(0,91))

dolet=np.zeros([len(v), len(alfa)]) # alokacija
ax=0
ay=-9.81


dt=1e-1 #vremenski korak

for i in range(0, len(v)):
    for j in range(0,len(alfa)):


        x=0; y=0
        vx=v[i]*np.cos(alfa[j]); vy=v[i]*np.sin(alfa[j])

        while y>=0:

            x+=vx*dt
            y+=vy*dt

            vx+=ax*dt
            vy+=ay*dt

        dolet[i][j]=x

# konture
plt.figure()
plt.contourf(np.rad2deg(alfa), v, dolet,20, cmap=cm.jet)
plt.xlabel('ugao')
plt.ylabel('brzina [m\s]')
plt.colorbar()


# 3D plot
fig = plt.figure()
ax = fig.add_subplot(1,1,1, projection='3d')

alfa, v = np.meshgrid(alfa, v)

ax.plot_surface(v,np.rad2deg(alfa),dolet,cmap=cm.jet,linewidth=0, antialiased=False)
ax.set_xlabel('brzina [m/s]')
ax.set_ylabel('ugao')
ax.set_zlabel('dolet [m]')